%define upstream_name    Data-Dumper-Compact
%define upstream_version 0.005002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Vertically compact width-limited data formatter
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mu::Tiny)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
the Devel::DDCWarn manpage is a the Devel::Dwarn manpage equivalent for the
Data::Dumper::Compact manpage.

The idea, basically, is that it's incredibly annoying to start off with
code like this:

  return some_sub_call();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE README META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Aug 28 2020 tv <tv> 0.5.2-1.mga8
+ Revision: 1619428
- imported package perl-Data-Dumper-Compact

